

OBJECT "LV49BTEL1"
BEGIN
	CUBE PLAYER 3555,5095,600 3622,5166,700
	BEGIN
		IF JHAGATELSTATE < 1
		BEGIN
			NOWAIT CONTROL OFF
			player.STOP
			player.POS 4224 5126 606
			CONTROL ON
		END
	END
END


OBJECT "LV48ENT"
BEGIN
	CUBE 7200,9600,170 7300,9700,200
	BEGIN
		NOWAIT CONTROL OFF
		player.STOP
		FADESCREENOUT
		WAIT SCREENFADE
 		FADESCREENIN
		player.POS 21174 8594 568 5
		CONTROL ON
	END
END


OBJECT "Jhagadummy"
BEGIN
	ALWAYS
	BEGIN
		WAIT 24

		IF JHAGA2.STAT HEALTH = 0
		BEGIN
			CONTROL OFF
			LOCKE.STOP
			SET JHAGATELSTATE = 0
			WAIT 240
			ADD TELEPORTER
			FADESCREENOUT
			WAIT SCREENFADE
			FADESCREENIN
			player.POS 10086 11660 16
			CONTROL ON
			TOGGLE PAUSE = 1
		END
	END
END


OBJECT "Jhaga2"
BEGIN
	CUBE PLAYER 3250,4880,600 3300,5390,700
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		PLAYER.GOTO 3088 5148
		say VII13JHA00
		Player.say VII13LOC00
		say VII13JHA01 
		say VII13JHA02
		Player.say VII13LOC01
		say VII13JHA03
		say VII13JHA04
		say VII13JHA05
		say VII13JHA06
		Player.say VII13LOC02
		say VII13JHA07
		Player.say VII13LOC03
		wait 30
		SET JHAGATELSTATE = 1
		CONTROL ON	
		stat aggressive = 1
		SETCDVOLUME FULL
		TOGGLE PAUSE = 1
	END
END


OBJECT "NAKRA"
BEGIN
	CUBE PLAYER 9800,9800,240 10000,9994,400
	BEGIN
		CONTROL OFF
		PLAYER.STOP
		player.COMBAT OFF
		SET MISTSTATE = 7
		PLAYER.GOTO 9886 9843
		PLAYER.TRY WALK
		PLAYER.PIVOT 0
		NOWAIT PLAYER.TRY ACQUIRE
		NOWAIT ADDAT 9886 9843 322 NAKRNOTH
		NOWAIT NAKRNOTH.FACE 120
		WAIT 672
		NOWAIT PLAYER.ADDINV "NAKRANOTH BOOTS"
		NOWAIT PLAYER.ADDINV "NAKRANOTH LEG PLATE"
		NOWAIT PLAYER.ADDINV "NAKRANOTH CHEST PLATE"
		PLAYER.ADDINV "NAKRANOTH GAUNTLETS"
		WAIT 24
		WAIT 24
		FADESCREENOUT
		WAIT SCREENFADE
		FADESCREENIN
		player.POS 5826 24871 32 0
		CONTROL ON
		TOGGLE PAUSE = 1
	END
END



OBJECT "Lv45L5"
BEGIN
	USE
	BEGIN
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		player.GOTORELATIVEPOSITION THIS 20 40
		
		IF player.ISATRELATIVEPOSITION THIS 20 40 = 1
		BEGIN
			player.FACE 0
			OPERATE player
			player.TRY "WPUSHLEVER"
		END
		
		ACTIVATE
		WAIT 48

		SCROLLTO LV45D99
		WAIT 48
		PLAY KEYS
		Lv45D98.stat LOCKED = 0
		Lv45D99.stat LOCKED = 0
		WAIT 48
		SCROLLTO LOCKE
		WAIT 48
		CONTROL ON
		TOGGLE PAUSE = 1
	END
END

OBJECT "Lv48Lev88"
BEGIN
	USE
	BEGIN
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		player.GOTORELATIVEPOSITION THIS 20 40
		
		IF player.ISATRELATIVEPOSITION THIS 20 40 = 1
		BEGIN
			player.FACE 0
			OPERATE player
			player.TRY "WPUSHLEVER"
		END
		
		ACTIVATE
		WAIT 48

		FADESCREENOUT
		WAIT SCREENFADE
		player.TOGGLE INVISIBLE

		NOWAIT player.POS 9735 9849 17
		NOWAIT FADESCREENIN
		NOWAIT SET SABUSTATE = 98
		TOGGLE PAUSE = 1
	END
END

OBJECT "Lv48Lev88B"
BEGIN
	CUBE player 9700,9800,0 9800,9900,100
	BEGIN
		IF SABUSTATE = 98
		BEGIN
			WAIT 24
			PLAY KEYS
			Lv48D1.stat LOCKED = 0
			WAIT 48
			FADESCREENOUT
			WAIT SCREENFADE
			player.TOGGLE INVISIBLE
			FADESCREENIN
			player.POS 16545 19966 274
			CONTROL ON
			SET SABUSTATE = 0
		END
	END
END

OBJECT "Lv48Lev6"
BEGIN
	USE
	BEGIN
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		player.GOTORELATIVEPOSITION THIS 20 40
		
		IF player.ISATRELATIVEPOSITION THIS 20 40 = 1
		BEGIN
			player.FACE 0
			OPERATE player
			player.TRY "WPUSHLEVER"
		END
		
		ACTIVATE
		WAIT 48

		FADESCREENOUT
		WAIT SCREENFADE
		player.TOGGLE INVISIBLE = 1

		NOWAIT player.POS 9664 8432 32
		NOWAIT FADESCREENIN
		NOWAIT SET SABUSTATE = 99
		TOGGLE PAUSE = 1
	END
END

OBJECT "Lv48Lev6B"
BEGIN
	CUBE player 9600,8400,0 9700,8500,100
	BEGIN
		IF SABUSTATE = 99
		BEGIN
			WAIT 24
			PLAY KEYS
			Lv48D4.stat LOCKED = 0
			WAIT 48
			FADESCREENOUT
			WAIT SCREENFADE
			player.TOGGLE INVISIBLE
			FADESCREENIN
			player.POS 11738 9270 17
			CONTROL ON
			SET SABUSTATE = 0
		END
	END
END

//	****Jhaga & Sabu cutscene****

OBJECT "Jhaga1"
BEGIN
	CUBE player 7440,9520,0 7500,9800,250
	BEGIN
	SETCDVOLUME HALF
	WAIT 1
	control off
	player.stop
	player.combat off
	FADESCREENOUT
	wait screenfade
	FADESCREENIN
	centeron Jhaga1
	wait 92
	pivotobject sabucut
	say VII1JHA00
	Sabucut.pivotobject jhaga1
	Sabucut.say VII1SAB00
	say VII1JHA01
	Sabucut.say VII1SAB01
	say VII1JHA02 
	say VII1JHA03	
	say VII1JHA04
	Sabucut.say VII1SAB02
	say VII1JHA05
	Sabucut.say VII1SAB03
	NOWAIT pivot 200
	SABUCUT.PIVOT 48
	//SABUCUT.TRY WALK
	NOWAIT Sabucut.goto 6990 8800
	WAIT 24
	FADESCREENOUT
	wait screenfade
	FADESCREENIN
	centeron player
	control on
	SETCDVOLUME FULL
	toggle pause=1
	END
END


OBJECT "Chef1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		IF chefstate = 1
		BEGIN
			say VII5CHE09
		END
		IF chefstate = 0
		BEGIN
			say VII5CHE00
			say VII5CHE01
			player.say VII5LOC00
			say VII5CHE02
			player.say VII5LOC01
			say VII5CHE03
			player.say VII5LOC02  
			say VII5CHE04

			:Start

				Choice Place VII5LOC03
				Choice You VII5LOC04 
				wait response

			:You
				
				player.say VII5LOC04
				say VII5CHE05	
				jump Start 

			:Place
				
				player.say VII5LOC03
				say VII5CHE06
				player.say VII5LOC05
				say VII5CHE07
				player.say VII5LOC06
				say VII5CHE08
				player.say VII5LOC07
				say VII5CHE09
				SET chefstate = 1
		END
				
		CONTROL ON
		SETCDVOLUME FULL
	END	
END



OBJECT "Torturer"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		IF torturerstate = 1
		BEGIN
			say VII6TOR05
		END
		IF torturerstate = 0
		BEGIN
			:Start
 
				Choice Sick VII6LOC00
				Choice Sadistic VII6LOC01
				wait response
	
     		 	:Sadistic
		
				player.say VII6LOC01
				say VII6TOR00 
				jump Start

			:Sick
		
				player.say VII6LOC00
				say VII6TOR01
				say VII6TOR02
				say VII6TOR03
				player.say VII6LOC02
				say VII6TOR04
				say VII6TOR05
				say VII6TOR06
				player.say VII6LOC03
				say VII6TOR07
				player.say VII6LOC04
				SET torturerstate = 1
		END
		CONTROL ON
		SETCDVOLUME FULL
	END
END


OBJECT "Wanet"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		IF wanetstate = 1
		BEGIN
			say VII7WAN09
			say VII7WAN10
		END
		IF wanetstate = 0
		BEGIN
			player.say VII7LOC00
			say VII7WAN00
			player.say VII7LOC01
			player.say VII7LOC02
			say VII7WAN01
			say VII7WAN02

			:Start 

				Choice Really VII7LOC03 
				Choice Destroy VII7LOC04
 				wait response

			:Destroy
				
				player.say VII7LOC04
				say VII7WAN03
				jump Start

			:Really
				
				player.say VII7LOC03
				say VII7WAN05
				say VII7WAN06
				player.say VII7LOC05
				say VII7WAN07
				say VII7WAN08
				
			:Finish
			
				player.say VII7LOC06
				player.say VII7LOC07
				say VII7WAN09
				say VII7WAN10
				player.say VII7LOC08
				SET wanetstate = 1
		END
	
		CONTROL ON
		SETCDVOLUME FULL
	END	
END




OBJECT "Mort"
begin
	CUBE player 9280,6368,0 9456,6544,144
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		control off
		player.stop
		player.COMBAT OFF
		wait 48
		player.say VII4LOC00
		player.say VII4LOC01
		wait 48
		player.gotorelativeposition Lv45way01 0 0
		player.gotorelativeposition Lv45way00 0 0
		player.stop
		wait 24
		scrollto mort
		wait 48
		Urgg.say VII4URG00
		Urgg.say VII4URG01
		Slagg.say VII4SLA00
		say VII4MOR00
		Slagg.say VII4SLA01
		say VII4MOR01
		Slagg.say VII4SLA02
		Slagg.say VII4SLA03
		Slagg.say VII4SLA04
		say VII4MOR02
		Urgg.say VII4URG02
		Slagg.say VII4SLA05
		say VII4MOR03
		Urgg.say VII4URG03
		Slagg.say VII4SLA06
		scrollto player
		wait 48
		player.face 100
		player.say VII4LOC02
		player.say VII4LOC03
		Slagg.stat aggressive=1
		Urgg.stat aggressive=1
		stat aggressive=1
		control on
		SETCDVOLUME FULL
		toggle pause=1
	END 
END



OBJECT "Horatio"
begin
	CUBE player 6928,6448,144 7216,5776,0
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		control off
		player.stop
		player.COMBAT OFF
		player.goto 7024 6064 
		player.pivot 190
		wait 24
		scrollto Horatio
		wait 36
		say VII3HOR00
		player.say VII3LOC00
		say VII3HOR01
		say VII3HOR02
		
		:Start

		Choice Who VII3LOC01
		Choice Answer VII3LOC02	
		wait response

		:Answer
		
		player.say VII3LOC02
		say VII3HOR04
		jump Finish

    		:Who
		
		player.say VII3LOC01 	
		say VII3HOR03
		jump Finish

     		:Finish
		
		player.say VII3LOC03
		wait 5
		player.say VII3LOC04
		say VII3HOR05
		say VII3HOR06	
		say VII3HOR07
		say VII3HOR08
		say VII3HOR09
		say VII3HOR10
		say VII3HOR11
		say VII3HOR12
		PLAYER.ADDINV "WOLFSBANE PENDANT"
		wait 24
		toggle invisible=1
		nowait teleporter.delete
		scrollto player
		player.say VII3LOC05
		player.say VII3LOC06
		control on
		SETCDVOLUME FULL
		toggle pause=1  
	END	
END


//  player MEETS SABU

OBJECT "Sabu1"
begin
	CUBE player 8200,9540,0 8333,9666,100
	BEGIN
	SETCDVOLUME HALF
	WAIT 1
	control off
	player.stop
	player.COMBAT OFF
	nowait player.gotorelativeposition sabu1 100 0
	scrollto sabu1
	wait 48
	centeron Sabu1
	player.pivotobject sabu1
	say VII2SAB00
	say VII2SAB01
	say VII2SAB02
	player.say VII2LOC00
	say VII2SAB03
	player.say VII2LOC01
	say VII2SAB04
	say VII2SAB05
	say VII2SAB06
	
	:Start
	
		Choice Ahkuilon VII2LOC02
		Choice Die VII2LOC03
		wait response

	:Ahkuilon
	
		player.say VII2LOC02
		say VII2SAB07
		say VII2SAB08
		jump DIEDIE 

	:Die
		player.say VII2LOC03 
		say VII2SAB09
		
	:DIEDIE
	
		player.say VII2LOC04
		player.say VII2LOC05
		say VII2SAB10
		say VII2SAB11
		state  9
		state 11
		wait 12
		add teleporter
		wait 12 
		FADECHARACTEROUT SABU1
		wait 24
		SABU1.TOGGLE INVISIBLE
		scrollto player
		wait 24
		SABU1.POS 7888 9840 0
		centeron player
		player.PIVOT 100
		player.say VII2LOC06
		teleporter.delete
		control on
		SETCDVOLUME FULL
		toggle pause=1
  	END
END


//Sabu script, crossroads room

OBJECT "Sabu3"
begin
	CUBE player 8500,7400,0 8700,7462,100 
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		control off
		player.stop
		player.COMBAT OFF
		SCROLLTO SABU3
		WAIT 24
		CENTERON SABU3
		player.pivotobject sabu3
		TRY WALK
		GOTORELATIVEPOSITION Lv45d5 30 0
		WAIT 12
		LV45D5.STATE "OPENING"
		LV45D5.STATE "OPEN"
		WAIT 12
		WAIT 12
		PIVOTOBJECT player
		WAIT 24
		PIVOT 190
		WAIT 12
		GOTORELATIVEPOSITION Lv45d5 -30 0
		FADECHARACTEROUT SABU3
		WAIT 24
		TOGGLE INVISIBLE = 1
		LV45D5.STATE "CLOSING"
		Lv45D5.stat LOCKED=1
		WAIT 24
		SCROLLTO player
		WAIT 24
		POS 8096 6976 16
		LV45D5.STATE "CLOSED"
		LV45D5.STATE "CLOSED"
		control on
		SETCDVOLUME FULL
		toggle pause=1
	END
END


//Sabu script, monster trap room

OBJECT "Sabu4"
begin

  CUBE player 7312,7600,0 7216,7696,144
  BEGIN
	SETCDVOLUME HALF
	WAIT 1
	control off
	player.stop
	player.COMBAT OFF
	wait 48
	scrollto Sabu4
	wait 24
	centeron Sabu4
	wait 12
	pivotobject Lv45L11
	wait 24
	state "pushlever"
	wait 12
	Lv45L11.state "opening"
	wait 24
	goto 7088 7872
	pivot 60
	wait 48
	state 9
	state 11
	add teleporter
	wait 24
	FADECHARACTEROUT SABU4
	wait 24
	
	scrollto Kantha3
	wait 48
	SABU4.TOGGLE INVISIBLE = 1
	SABU4.POS 6720 7808 0

	Lv45D7.STATE "OPENING"
	wait 24
	Kantha3.goto 7072 7973	
	wait 48
	scrollto Kantha4
	wait 48
	Lv45D8.STATE "OPENING"
	wait 24
	Kantha4.goto 7072 7688
	wait 48

	scrollto player
	wait 48
	teleporter.delete
	Kantha3.stat aggressive=1
	Kantha4.stat aggressive=1
	control on
	SETCDVOLUME FULL
	toggle pause=1
	END
END

//Sabu script, Escape of Sabu

OBJECT "Sabu5"
begin
	CUBE player 7357,8600,0 7410,8800,144
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		control off
		player.stop
		player.COMBAT OFF
		scrollto sabu5
		wait 48
		centeron sabu5
		PIVOTOBJECT player
		say VII2SAB12
		say VII2SAB13
		say VII2SAB14
		state 12
		state 13
		state 14
		nowait add redfont
		redfont.move 0 0 100
		wait 24
		redfont.delete
		say VII2SAB15
		say VII2SAB16
		player.goto 7231 8667
		wait 24
		player.say VII2LOC07
		Say VII2SAB17
		say VII2SAB18
		say VII2SAB19  
		state 9
		state 10
		state 11
		add teleporter
		wait 24
		FADECHARACTEROUT SABU5
		wait 48
		SABU5.TOGGLE INVISIBLE = 1
		SABU5.POS 7376 8912 0	
		teleporter.delete
		scrollto player
		player.pivot 100
		player.say VII2LOC08
		control on
		SETCDVOLUME FULL
		toggle pause=1
	END
END


OBJECT "Sabu6"
BEGIN
	CUBE player 10000,9306,100 10016,9322,200  	
	BEGIN
		IF SABUSTATE = 1
		BEGIN
			control off
			player.stop
			player.FACE 128
			player.delinv "Poisoned Dagger"
			player.addinv "DUMMY DAGGER"
			player.EQUIP "DUMMY DAGGER"
			WAIT 48
			WAIT 48
			WAIT 48
			player.gotorelativeposition sabu6 0 -40
			player.pivot 128
			player.try combat
			WAIT 48
			player.try thrust
			state 7
			try dead		
			wait 24
			FADECHARACTEROUT SABU6
			WAIT 24
			SABU6.TOGGLE INVISIBLE
			SABU6.POS 9792 9136 0
			player.try walk
			player.DELINV "DUMMY DAGGER"
			player.addinv "Poisoned Dagger"
			control on
			LV46KAN1.STAT AGGRESSIVE = 1
			LV46KAN2.STAT AGGRESSIVE = 1
			SET SABUKILLSTATE = 1
			FADECHARACTEROUT SABU6
			TOGGLE PAUSE = 1
		END
	END
	CUBE player 9850,9570,0 10150,9700,100
	BEGIN
		IF SABUSTATE = 0
		BEGIN
			SETCDVOLUME HALF
			WAIT 1
			control off
			player.stop
			player.COMBAT OFF
			SET SABUSTATE = 1
			player.PIVOTOBJECT SABU6
			WAIT 24		
			scrollto 10001 9535 144
			wait 24
			centeron 10001 9535 144
			wait 24
			say VII9SAB00
			say VII9SAB01
			Wait 48

		:Start 

			Choice Blood VII9LOC00
			Choice Cause VII9LOC01
			Choice Head VII9LOC02
			wait response

		:Blood
	
			player.say VII9LOC00
			jump Finish

		:Cause
	
			player.say VII9LOC01
			jump Finish

		:Head
	
			player.say VII9LOC02
		
		:Finish
	
			wait 24
			say VII9SAB02
			say VII9SAB03
			say VII9SAB04
			WAIT 24
			state 9
			state 10
			state 11
			NOWAIT ADDAT 10001 9458 144 redfont
			REDFONT.MOVE 0 0 100
			WAIT 48
			REDFONT.DELETE
			SCROLLTO player
			WAIT 24
			CENTERON player
			WAIT 24
			ADD teleporter
			FADECHARACTEROUT player
			WAIT 24
			TELEPORTER.DELETE
			WAIT 24 
			FADESCREENOUT
			WAIT SCREENFADE
			FADESCREENIN
			player.pos 7031 10300 16
			FADECHARACTERIN player
			CONTROL ON
			SETCDVOLUME FULL
		END
	END
END


OBJECT "Shegra"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		IF shegrastate = 1
			BEGIN
				player.pivot 100
				player.say VII11LOC17
			END
		IF shegrastate = 0
			BEGIN
				player.gotorelativeposition Shegra1 -32 14 
				nowait pivotobject player
				player.pivotobject Shegra1
				say VII11SHE00
				say VII11SHE01
				player.say VII11LOC00
				say VII11SHE02
	
				:Start
 
				Choice Hell VII11LOC01
				Choice Human VII11LOC02
				Choice Good VII11LOC03
				wait response

				:Good
				
				player.say VII11LOC03
				say VII11SHE03
				jump Start

				:Hell
				
				player.say VII11LOC01
				say VII11SHE04
				jump Start

				:Human
				
				player.say VII11LOC02
				say VII11SHE05
				player.say VII11LOC04
				player.say VII11LOC05
				say VII11SHE06
				player.say VII11LOC06
				player.say VII11LOC07
				say VII11SHE07
				player.say VII11LOC08
				say VII11SHE08
				say VII11SHE09
				player.say VII11LOC09
				say VII11SHE10
			
				:Start2

				Choice Oh VII11LOC10
				Choice Hear VII11LOC11
				wait response

				:Hear
				
				player.say VII11LOC11
				jump Finito

				:Oh
				
				player.say VII11LOC10 
				
				:Finito
				
				say VII11SHE11
				player.say VII11LOC12
				say VII11SHE12
				player.say VII11LOC13
				say VII11SHE13

				:Start3

				Choice Fine VII11LOC14
				Choice No VII11LOC15
				wait response

				:No
				
				player.say VII11LOC15
				say VII11SHE14
				jump Start3

				:Fine
				
				player.say VII11LOC14
				player.addinv "poisoned dagger"
				give locke "entrance key"
				wait 24
				NOWAIT player.TRY BOWING
				TRY KISS
				say VII11SHE15
				player.say VII11LOC16
				say VII11SHE16
				player.pivot 96
				player.say VII11LOC17
				SET shegrastate = 1
		END
		CONTROL ON
		SETCDVOLUME FULL
	END
END




OBJECT "Druhgslave1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		IF SABUKILLSTATE = 0
		BEGIN
			try walk
			player.say VII8LOC00
			say VII8DR100
			say VII8DR101
			player.say VII8LOC01
			say VII8DR102
			player.say VII8LOC02
			say VII8DR103
			face 10
			try pick
		END
		IF SABUKILLSTATE = 1
		BEGIN
			TRY WALK
			player.SAY VII12LOC06
			TRY CELEBRATE			
		END
		
		CONTROL ON
		SETCDVOLUME FULL
	END
	ALWAYS
	BEGIN
		IF SABUKILLSTATE = 0
		BEGIN
			TRY PICK
			WAIT 24
		END
		IF SABUKILLSTATE = 1
		BEGIN
			WAIT 24
			FACE 90
			TRY CELEBRATE
		END
	END
END


OBJECT "Druhgslave2"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		IF SABUKILLSTATE = 0
		BEGIN
			try walk
			player.say VII8LOC03
			say VII8DR200
			player.say VII8LOC04
			say VII8DR201
			player.say VII8LOC05
			say VII8DR202
			say VII8DR203
			player.say VII8LOC06
			say VII8DR204
			player.say VII8LOC07
			say VII8DR205
			face 0
			try pick
		END
		IF SABUKILLSTATE = 1
		BEGIN
			IF DRUHGKEYSTATE = 1
			BEGIN
				TRY WALK
				player.SAY VII12LOC06
				TRY CELEBRATE
			END
			IF DRUHGKEYSTATE = 0
			BEGIN
			TRY WALK
			SAY VII12DR100 
			SAY VII12DR101
	
			:START
		
			CHOICE HAGORO VII12LOC00
			CHOICE GETOUT VII12LOC01
			wait response
	
			:GETOUT
			
			player.SAY VII12LOC01
			SAY VII12DR102
			player.SAY VII12LOC02
			player.SAY VII12LOC03
			SAY VII12DR103
			JUMP START

			:HAGORO

			player.SAY VII12LOC00
			SAY VII12DR104
			player.SAY VII12LOC04
			SAY VII12DR105
			player.SAY VII12LOC05
			SAY VII12DR106
			SAY VII12DR200
			SAY VII12DR201
			ADDINV "GUARDROOM KEY"
			player.SAY VII12LOC06
			TRY CELEBRATE
			SET DRUHGKEYSTATE = 1
			END
		END
		
		CONTROL ON
		SETCDVOLUME FULL
	END
	ALWAYS
	BEGIN
		IF SABUKILLSTATE = 0
		BEGIN
			TRY PICK
			WAIT 24
		END
		IF SABUKILLSTATE = 1
		BEGIN
			FACE 140
			WAIT 24
			TRY CELEBRATE
		END
	END
END


OBJECT "Druhgslave3"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		IF SABUKILLSTATE = 0
		BEGIN
			try walk
			player.say VII8LOC08
			say VII8DR300

			:Start
 		
			Choice GetOut VII8LOC09
			Choice Help VII8LOC10
			Choice Thinking VII8LOC11
			wait response

			:GetOut
			
			player.say VII8LOC09
			say VII8DR301
			player.say VII8LOC12
			say VII8DR302
			player.say VII8LOC13
			jump Start

			:Help
			
			player.say VII8LOC10
			say VII8DR303
			jump Start

			:Thinking
		
			player.say VII8LOC11
			face 10
			try pick
		END
		IF SABUKILLSTATE = 1
		BEGIN
			IF DRUHGKEYSTATE = 1
			BEGIN
				TRY WALK
				player.SAY VII12LOC06
				TRY CELEBRATE
			END
			IF DRUHGKEYSTATE = 0
			BEGIN
			TRY WALK
			SAY VII12DR100 
			SAY VII12DR101
	
			:START2
		
			CHOICE HAGORO VII12LOC00
			CHOICE GETOUT2 VII12LOC01
			wait response
	
			:GETOUT2
			
			player.SAY VII12LOC01
			SAY VII12DR102
			player.SAY VII12LOC02
			player.SAY VII12LOC03
			SAY VII12DR103
			JUMP START2

			:HAGORO

			player.SAY VII12LOC00
			SAY VII12DR104
			player.SAY VII12LOC04
			SAY VII12DR105
			player.SAY VII12LOC05
			SAY VII12DR106
			SAY VII12DR200
			SAY VII12DR201
			ADDINV "GUARDROOM KEY"
			player.SAY VII12LOC06
			TRY CELEBRATE
			SET DRUHGKEYSTATE = 1
			END
		END
		
		CONTROL ON
		SETCDVOLUME FULL

	END
	ALWAYS
	BEGIN
		IF SABUKILLSTATE = 0
		BEGIN
			TRY PICK
			WAIT 24
		END
		IF SABUKILLSTATE = 1
		BEGIN
			FACE 90
			WAIT 24
			TRY CELEBRATE
		END
	END
END


OBJECT "Slave1"
BEGIN
	DIALOG
	BEGIN	
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		IF SABUKILLSTATE = 0
		BEGIN
			try walk
			say VII8DR100
			face 0
			try pick
		END
		IF SABUKILLSTATE = 1
		BEGIN
			TRY WALK
			player.SAY VII12LOC06
			TRY CELEBRATE
		END
		CONTROL ON
		SETCDVOLUME FULL

	END
	ALWAYS
	BEGIN
		IF SABUKILLSTATE = 0
		BEGIN
			TRY PICK
			WAIT 24
		END
		IF SABUKILLSTATE = 1
		BEGIN
			FACE 120
			WAIT 24
			TRY CELEBRATE
		END
	END
END

OBJECT "Slave2"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL ON
		player.STOP
		player.COMBAT OFF

		IF SABUKILLSTATE = 0
		BEGIN
			try walk
			say VII8DR102
			face 245
			try pick
		END
		IF SABUKILLSTATE = 1
		BEGIN
			IF DRUHGKEYSTATE = 1
			BEGIN
				TRY WALK
				player.SAY VII12LOC06
				TRY CELEBRATE
			END
			IF DRUHGKEYSTATE = 0
			BEGIN
			TRY WALK
			SAY VII12DR100 
			SAY VII12DR101
	
			:START
		
			CHOICE HAGORO VII12LOC00
			CHOICE GETOUT VII12LOC01
			wait response
	
			:GETOUT
			
			player.SAY VII12LOC01
			SAY VII12DR102
			player.SAY VII12LOC02
			player.SAY VII12LOC03
			SAY VII12DR103
			JUMP START

			:HAGORO

			player.SAY VII12LOC00
			SAY VII12DR104
			player.SAY VII12LOC04
			SAY VII12DR105
			player.SAY VII12LOC05
			SAY VII12DR106
			SAY VII12DR200
			SAY VII12DR201
			ADDINV "GUARDROOM KEY"
			player.SAY VII12LOC06
			TRY CELEBRATE
			SET DRUHGKEYSTATE = 1
			END
		END
		CONTROL ON
		SETCDVOLUME FULL
	END
	ALWAYS
	BEGIN
		IF SABUKILLSTATE = 0
		BEGIN
			face 0
			TRY PICK
			WAIT 24
		END
		IF SABUKILLSTATE = 1
		BEGIN
			FACE 140
			WAIT 24
			TRY CELEBRATE
		END
	END
END



OBJECT "ANDRIA2"
BEGIN
	CUBE player 10000,11450,0 10120,11700,60
	BEGIN
		IF ANDREASTATE = 3
		BEGIN
			CONTROL OFF
			player.STOP
			player.COMBAT OFF
			WAIT 48
			player.SAY VII15LOC02
			SET ANDREASTATE = 4
			CONTROL ON
		END
		IF ANDREASTATE < 3
		BEGIN
			CONTROL OFF
			player.STOP
			player.COMBAT OFF
			WAIT 48
			player.GOTO 10083 11580
			WAIT 24
			FADESCREENOUT
			WAIT SCREENFADE
			FADESCREENIN
			player.POS 10083 11580 16 47
			CONTROL ON
		END
	END
END

OBJECT "ANDRIA3"
BEGIN
	CUBE player 10000,11500,0 10120,11600,60
	BEGIN
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		WAIT 48
		NOWAIT TOGGLE INVISIBLE = 0
		FADECHARACTERIN ANDRIA3
		WAIT 48
		SAY VII15AND00
		player.SAY VII15LOC00
		WAIT 24
		SAY VII15AND01
		WAIT 24
		SAY VII15AND02
		player.SAY VII15LOC01
		NOWAIT player.GOTO 10083 11474
		FADECHARACTEROUT ANDRIA3
		SET ANDREASTATE = 3
		FADESCREENOUT
		WAIT SCREENFADE
		PLAY VII15AND03
		WAIT 92
		FADESCREENIN
		player.POS 10083 11474 32 49
	END
END

